dim invApp as Application
dim irx as TransientGeometry
dim storePath
Dim PI
dim sketchDic as object

Private Function CreateSketch1_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_1",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_1",0,0,0,1,0,0,0,0,-1)
set lastPoint=AddSketchLine(feat3,-1.8,0,0,-1.8,0,7.2,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,-1.8,0,7.2,5.25,0,7.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,5.25,0,7.2,8.9,0,9.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,8.9,0,9.2,12.3,0,9.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,12.3,0,9.2,12.7,0,8.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,12.7,0,8.8,12.7,0,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,12.7,0,0,1.5,0,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,1.5,0,0,1.5,0,0.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,1.5,0,0.6,0,0,0.6,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0,0.6,0,0,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0,0,-1.8,0,0,firstPoint,lastPoint,2)
feat3.Profiles.AddForSolid
Set CreateSketch1_3=feat3
End Function

Private Function CreateSketch1_5(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_2",sketchNormal
set feat5=createSketch(partCompDef,"Skizze_2",-1.8,-4.25,7.2,-0.8,-4.25,7.2,-1.8,-3.25,7.2)
feat5.SketchCircles.AddByCenterRadius convertToSketchSpace(feat5,-0.8,3.15,7.2),0.85
feat5.Profiles.AddForSolid
Set CreateSketch1_5=feat5
End Function

Private Function CreateSketch1_7(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_3",sketchNormal
set feat7=createSketch(partCompDef,"Skizze_3",-1.8,-4.25,7.2,-0.8,-4.25,7.2,-1.8,-3.25,7.2)
feat7.SketchCircles.AddByCenterRadius convertToSketchSpace(feat7,-0.8,-3.15,7.2),0.85
feat7.Profiles.AddForSolid
Set CreateSketch1_7=feat7
End Function

Private Function CreateSketch1_9(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_4",sketchNormal
set feat9=createSketch(partCompDef,"Skizze_4",-0.8,3.15,6,0.2,3.15,6,-0.8,4.15,6)
feat9.SketchCircles.AddByCenterRadius convertToSketchSpace(feat9,-0.8,3.15,6),0.55
feat9.Profiles.AddForSolid
Set CreateSketch1_9=feat9
End Function

Private Function CreateSketch1_11(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_5",sketchNormal
set feat11=createSketch(partCompDef,"Skizze_5",-0.8,-3.15,6,0.2,-3.15,6,-0.8,-2.15,6)
feat11.SketchCircles.AddByCenterRadius convertToSketchSpace(feat11,-0.8,-3.15,6),0.55
feat11.Profiles.AddForSolid
Set CreateSketch1_11=feat11
End Function

Private Function CreateSketch1_13(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_6",sketchNormal
set feat13=createSketch(partCompDef,"Skizze_6",-1.8,-4.25,7.2,-0.8,-4.25,7.2,-1.8,-3.25,7.2)
feat13.SketchCircles.AddByCenterRadius convertToSketchSpace(feat13,2.2,3.15,7.2),0.5
feat13.Profiles.AddForSolid
Set CreateSketch1_13=feat13
End Function

Private Function CreateSketch1_15(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Skizze_7",sketchNormal
set feat15=createSketch(partCompDef,"Skizze_7",-1.8,4.25,0,-1.8,3.25,0,-1.8,4.25,1)
feat15.SketchCircles.AddByCenterRadius convertToSketchSpace(feat15,-1.8,0,3.6),2.25
feat15.Profiles.AddForSolid
Set CreateSketch1_15=feat15
End Function

Private Function CreateSketch1_18(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_9",sketchNormal
set feat18=createSketch(partCompDef,"Skizze_9",-1.8,4.25,7.2,-0.8,4.25,7.2,-1.8,5.25,7.2)
set lastPoint=AddSketchLine(feat18,4,4.25,7.2,4,-4.25,7.2,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat18,4,-4.25,7.2,5.25,-4.25,7.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat18,5.25,-4.25,7.2,5.25,4.25,7.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat18,5.25,4.25,7.2,4,4.25,7.2,firstPoint,lastPoint,2)
feat18.Profiles.AddForSolid
Set CreateSketch1_18=feat18
End Function

Private Function CreateSketch1_21(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_12",sketchNormal
set feat21=createSketch(partCompDef,"Skizze_12",0,0,9.2,1,0,9.2,0,1,9.2)
feat21.SketchCircles.AddByCenterRadius convertToSketchSpace(feat21,7.85,3.15,9.2),0.85
feat21.Profiles.AddForSolid
Set CreateSketch1_21=feat21
End Function

Private Function CreateSketch1_23(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_13",sketchNormal
set feat23=createSketch(partCompDef,"Skizze_13",0,0,9.2,1,0,9.2,0,1,9.2)
feat23.SketchCircles.AddByCenterRadius convertToSketchSpace(feat23,7.85,-3.15,9.2),0.85
feat23.Profiles.AddForSolid
Set CreateSketch1_23=feat23
End Function

Private Function CreateSketch1_25(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_14",sketchNormal
set feat25=createSketch(partCompDef,"Skizze_14",7.85,3.15,6,8.85,3.15,6,7.85,4.15,6)
feat25.SketchCircles.AddByCenterRadius convertToSketchSpace(feat25,7.85,3.15,6),0.55
feat25.Profiles.AddForSolid
Set CreateSketch1_25=feat25
End Function

Private Function CreateSketch1_27(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_15",sketchNormal
set feat27=createSketch(partCompDef,"Skizze_15",7.85,-3.15,6,8.85,-3.15,6,7.85,-2.15,6)
feat27.SketchCircles.AddByCenterRadius convertToSketchSpace(feat27,7.85,-3.15,6),0.55
feat27.Profiles.AddForSolid
Set CreateSketch1_27=feat27
End Function

Private Function CreateSketch1_29(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_16",sketchNormal
set feat29=createSketch(partCompDef,"Skizze_16",-1.8,-4.25,0,-0.8,-4.25,0,-1.8,-4.25,1)
feat29.SketchCircles.AddByCenterRadius convertToSketchSpace(feat29,0.75,-4.25,3.6),0.5
feat29.Profiles.AddForSolid
Set CreateSketch1_29=feat29
End Function

Private Function CreateSketch1_31(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_17",sketchNormal
set feat31=createSketch(partCompDef,"Skizze_17",-1.8,4.25,0,-0.8,4.25,0,-1.8,4.25,-1)
feat31.SketchCircles.AddByCenterRadius convertToSketchSpace(feat31,0.75,4.25,3.6),0.5
feat31.Profiles.AddForSolid
Set CreateSketch1_31=feat31
End Function

Private Function CreateSketch1_33(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_18",sketchNormal
set feat33=createSketch(partCompDef,"Skizze_18",0.75,-4.05,3.6,1.75,-4.05,3.6,0.75,-4.05,4.6)
set lastPoint=AddSketchArc(feat33,0.30389210429499,-4.05,3.7121951219512,0.31295015051456,-4.05,3.669257164817,0.35238209295858,-4.05,3.65,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat33,0.35238209295858,-4.05,3.65,0.40358983848622,-4.05,3.65,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat33,0.40358983848622,-4.05,3.65,1.1,-4.05,3.6,0.40358983848622,-4.05,3.55,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat33,0.40358983848622,-4.05,3.55,0.35238209295858,-4.05,3.55,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat33,0.35238209295858,-4.05,3.55,0.31295015051456,-4.05,3.530742835183,0.30389210465843,-4.05,3.4878048766037,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat33,0.30389210465843,-4.05,3.4878048766037,1.21,-4.05,3.6,0.30389210429499,-4.05,3.7121951219512,firstPoint,lastPoint,2)
feat33.SketchCircles.AddByCenterRadius convertToSketchSpace(feat33,0.35238209295858,-4.05,3.5),0.035
feat33.SketchCircles.AddByCenterRadius convertToSketchSpace(feat33,0.35238209295858,-4.05,3.7),0.035
feat33.Profiles.AddForSolid
Set CreateSketch1_33=feat33
End Function

Private Function CreateSketch1_35(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_19",sketchNormal
set feat35=createSketch(partCompDef,"Skizze_19",0.75,-4.05,3.6,1.75,-4.05,3.6,0.75,-4.05,4.6)
feat35.SketchCircles.AddByCenterRadius convertToSketchSpace(feat35,0.75,-4.05,3.6),0.34
feat35.Profiles.AddForSolid
Set CreateSketch1_35=feat35
End Function

Private Function CreateSketch1_37(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_20",sketchNormal
set feat37=createSketch(partCompDef,"Skizze_20",0.75,4.05,3.6,1.75,4.05,3.6,0.75,4.05,2.6)
set lastPoint=AddSketchArc(feat37,0.30389210429499,4.05,3.4878048780488,0.31295015051456,4.05,3.530742835183,0.35238209295858,4.05,3.55,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat37,0.35238209295858,4.05,3.55,0.40358983848622,4.05,3.55,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat37,0.40358983848622,4.05,3.55,1.1,4.05,3.6,0.40358983848622,4.05,3.65,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat37,0.40358983848622,4.05,3.65,0.35238209295858,4.05,3.65,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat37,0.35238209295858,4.05,3.65,0.31295015051456,4.05,3.669257164817,0.30389210465843,4.05,3.7121951233963,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat37,0.30389210465843,4.05,3.7121951233963,1.21,4.05,3.6,0.30389210429499,4.05,3.4878048780488,firstPoint,lastPoint,2)
feat37.SketchCircles.AddByCenterRadius convertToSketchSpace(feat37,0.35238209295858,4.05,3.7),0.035
feat37.SketchCircles.AddByCenterRadius convertToSketchSpace(feat37,0.35238209295858,4.05,3.5),0.035
feat37.Profiles.AddForSolid
Set CreateSketch1_37=feat37
End Function

Private Function CreateSketch1_39(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_21",sketchNormal
set feat39=createSketch(partCompDef,"Skizze_21",0.75,4.05,3.6,1.75,4.05,3.6,0.75,4.05,2.6)
feat39.SketchCircles.AddByCenterRadius convertToSketchSpace(feat39,0.75,4.05,3.6),0.34
feat39.Profiles.AddForSolid
Set CreateSketch1_39=feat39
End Function

Private Function CreateSketch1_41(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_22",sketchNormal
set feat41=createSketch(partCompDef,"Skizze_22",4,4.25,7.19,4,3.25,7.19,5,4.25,7.19)
feat41.SketchCircles.AddByCenterRadius convertToSketchSpace(feat41,4.4,3.05,7.19),0.2
feat41.Profiles.AddForSolid
Set CreateSketch1_41=feat41
End Function

Private Function CreateSketch1_43(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_23",sketchNormal
set feat43=createSketch(partCompDef,"Skizze_23",4,4.25,7.19,4,3.25,7.19,5,4.25,7.19)
feat43.SketchCircles.AddByCenterRadius convertToSketchSpace(feat43,4.625,3.75,7.19),0.4
feat43.Profiles.AddForSolid
Set CreateSketch1_43=feat43
End Function

Private Function CreateSketch1_45(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_24",sketchNormal
set feat45=createSketch(partCompDef,"Skizze_24",4,4.25,7.19,4,3.25,7.19,5,4.25,7.19)
feat45.SketchCircles.AddByCenterRadius convertToSketchSpace(feat45,4.85,3.05,7.19),0.2
feat45.Profiles.AddForSolid
Set CreateSketch1_45=feat45
End Function

Private Function CreateSketch1_47(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_25",sketchNormal
set feat47=createSketch(partCompDef,"Skizze_25",4,4.25,7.19,4,3.25,7.19,5,4.25,7.19)
feat47.SketchCircles.AddByCenterRadius convertToSketchSpace(feat47,4.625,-3.75,7.19),0.4
feat47.Profiles.AddForSolid
Set CreateSketch1_47=feat47
End Function

Private Function CreateSketch1_49(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_26",sketchNormal
set feat49=createSketch(partCompDef,"Skizze_26",4,4.25,7.19,4,3.25,7.19,5,4.25,7.19)
feat49.SketchCircles.AddByCenterRadius convertToSketchSpace(feat49,4.4,-3.05,7.19),0.2
feat49.Profiles.AddForSolid
Set CreateSketch1_49=feat49
End Function

Private Function CreateSketch1_51(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_27",sketchNormal
set feat51=createSketch(partCompDef,"Skizze_27",4,4.25,7.19,4,3.25,7.19,5,4.25,7.19)
feat51.SketchCircles.AddByCenterRadius convertToSketchSpace(feat51,4.85,-3.05,7.19),0.2
feat51.Profiles.AddForSolid
Set CreateSketch1_51=feat51
End Function

Private Function CreateSketch1_53(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_28",sketchNormal
set feat53=createSketch(partCompDef,"Skizze_28",4.625,-3.75,7.17,4.625,-4.75,7.17,5.625,-3.75,7.17)
set lastPoint=AddSketchLine(feat53,4.7693375672974,-3.5,7.17,4.4806624327026,-3.5,7.17,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat53,4.4806624327026,-3.5,7.17,4.3363248654052,-3.75,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,4.3363248654052,-3.75,7.17,4.4806624327026,-4,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,4.4806624327026,-4,7.17,4.7693375672974,-4,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,4.7693375672974,-4,7.17,4.9136751345948,-3.75,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat53,4.9136751345948,-3.75,7.17,4.7693375672974,-3.5,7.17,firstPoint,lastPoint,2)
feat53.Profiles.AddForSolid
Set CreateSketch1_53=feat53
End Function

Private Function CreateSketch1_55(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_29",sketchNormal
set feat55=createSketch(partCompDef,"Skizze_29",4.625,3.75,7.17,4.625,2.75,7.17,5.625,3.75,7.17)
set lastPoint=AddSketchLine(feat55,4.7693375672974,4,7.17,4.4806624327026,4,7.17,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat55,4.4806624327026,4,7.17,4.3363248654052,3.75,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,4.3363248654052,3.75,7.17,4.4806624327026,3.5,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,4.4806624327026,3.5,7.17,4.7693375672974,3.5,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,4.7693375672974,3.5,7.17,4.9136751345948,3.75,7.17,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat55,4.9136751345948,3.75,7.17,4.7693375672974,4,7.17,firstPoint,lastPoint,2)
feat55.Profiles.AddForSolid
Set CreateSketch1_55=feat55
End Function

Private Function CreateSketch1_57(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_30",sketchNormal
set feat57=createSketch(partCompDef,"Skizze_30",-1.8,-4.25,0,-0.8,-4.25,0,-1.8,-4.25,1)
feat57.SketchCircles.AddByCenterRadius convertToSketchSpace(feat57,10.9,-4.25,7.4),0.9
feat57.Profiles.AddForSolid
Set CreateSketch1_57=feat57
End Function

Private Function CreateSketch1_59(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_31",sketchNormal
set feat59=createSketch(partCompDef,"Skizze_31",-1.8,-4.25,7.2,-0.8,-4.25,7.2,-1.8,-3.25,7.2)
feat59.SketchCircles.AddByCenterRadius convertToSketchSpace(feat59,6.1,-3.15,7.2),0.5
feat59.Profiles.AddForSolid
Set CreateSketch1_59=feat59
End Function

Private Function CreateSketch1_61(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_8",sketchNormal
set feat61=createSketch(partCompDef,"Skizze_8",12.7,-4.25,0,12.7,-3.25,0,12.7,-4.25,1)
set lastPoint=AddSketchArc(feat61,12.7,-2.1,5.625,12.7,-2.7654068316208,5.155092918767,12.7,-3,4.375,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat61,12.7,-3,4.375,12.7,-3,1.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat61,12.7,-3,1.7,12.7,-2.6338834764832,0.81611652351682,12.7,-1.75,0.45,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat61,12.7,-1.75,0.45,12.7,1.75,0.45,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat61,12.7,1.75,0.45,12.7,2.6338834764832,0.81611652351682,12.7,3,1.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat61,12.7,3,1.7,12.7,3,4.375,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat61,12.7,3,4.375,12.7,2.7654068316208,5.155092918767,12.7,2.1,5.625,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat61,12.7,2.1,5.625,12.7,2.1,9.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat61,12.7,2.1,9.2,12.7,-2.1,9.2,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat61,12.7,-2.1,9.2,12.7,-2.1,5.625,firstPoint,lastPoint,2)
feat61.Profiles.AddForSolid
Set CreateSketch1_61=feat61
End Function

Private Function CreateSketch1_65(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,-1,0)
sketchDic.add "Skizze_35",sketchNormal
set feat65=createSketch(partCompDef,"Skizze_35",-1.8,-4.25,0,-0.8,-4.25,0,-1.8,-4.25,1)
set lastPoint=AddSketchLine(feat65,4,-4.25,5.35,5.25,-4.25,5.35,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat65,5.25,-4.25,5.35,5.25,-4.25,8.35,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat65,5.25,-4.25,8.35,4,-4.25,8.35,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat65,4,-4.25,8.35,4,-4.25,5.35,firstPoint,lastPoint,2)
feat65.Profiles.AddForSolid
Set CreateSketch1_65=feat65
End Function

Private Function CreateSketch1_66(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_10",sketchNormal
set feat66=createSketch(partCompDef,"Skizze_10",-1.8,4.25,0,-0.8,4.25,0,-1.8,4.25,-1)
set lastPoint=AddSketchLine(feat66,4,4.25,5.35,4,4.25,7.85,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat66,4,4.25,7.85,5.25,4.25,7.85,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat66,5.25,4.25,7.85,5.25,4.25,5.35,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat66,5.25,4.25,5.35,4,4.25,5.35,firstPoint,lastPoint,2)
feat66.Profiles.AddForSolid
Set CreateSketch1_66=feat66
End Function

Private Function CreateSketch2_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_3",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_3",0,0,0,1,0,0,0,0,-1)
set lastPoint=AddSketchArc(feat3,-1.9,0,0,-1.3727922061358,0,1.2727922061358,-0.1,0,1.8,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,-0.1,0,1.8,2.1,0,1.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,2.1,0,1.8,2.1,0,3.7,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat3,2.1,0,3.7,3.3763184230455,0,5.0945260368749,4.8781469536029,0,3.9463959704926,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,4.8781469536029,0,3.9463959704926,6.0581469536029,0,-2.6536040295074,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat3,6.0581469536029,0,-2.6536040295074,4.9888115680045,0,-4.2655165379689,3.3299391273496,0,-3.2705882352941,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat3,3.3299391273496,0,-3.2705882352941,2.6139588630307,0,-2.2095875488711,1.401280737849,0,-1.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,1.401280737849,0,-1.8,-1.171,0,-1.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat3,-1.171,0,-1.8,-1.686480843485,0,-1.586480843485,-1.9,0,-1.071,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,-1.9,0,-1.071,-1.9,0,0,firstPoint,lastPoint,2)
feat3.Profiles.AddForSolid
Set CreateSketch2_3=feat3
End Function

Private Function CreateSketch2_6(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_4",sketchNormal
set feat6=createSketch(partCompDef,"Skizze_4",0,2.09,0,1,2.09,0,0,2.09,-1)
feat6.SketchCircles.AddByCenterRadius convertToSketchSpace(feat6,4.68,2.09,-2.9),0.9
feat6.Profiles.AddForSolid
Set CreateSketch2_6=feat6
End Function

Private Function CreateSketch2_8(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_5",sketchNormal
set feat8=createSketch(partCompDef,"Skizze_5",0,2.09,0,1,2.09,0,0,2.09,-1)
feat8.SketchCircles.AddByCenterRadius convertToSketchSpace(feat8,3.5,2.09,3.7),0.9
feat8.Profiles.AddForSolid
Set CreateSketch2_8=feat8
End Function

Private Function CreateSketch2_11(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_6",sketchNormal
set feat11=createSketch(partCompDef,"Skizze_6",0,-2.09,0,1,-2.09,0,0,-2.09,-1)
feat11.SketchCircles.AddByCenterRadius convertToSketchSpace(feat11,4.68,-2.09,-2.9),0.9
feat11.Profiles.AddForSolid
Set CreateSketch2_11=feat11
End Function

Private Function CreateSketch2_13(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_7",sketchNormal
set feat13=createSketch(partCompDef,"Skizze_7",0,-2.09,0,1,-2.09,0,0,-2.09,-1)
feat13.SketchCircles.AddByCenterRadius convertToSketchSpace(feat13,3.5,-2.09,3.7),0.9
feat13.Profiles.AddForSolid
Set CreateSketch2_13=feat13
End Function

Private Function CreateSketch2_15(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_8",sketchNormal
set feat15=createSketch(partCompDef,"Skizze_8",0,-2.09,0,1,-2.09,0,0,-2.09,-1)
feat15.SketchCircles.AddByCenterRadius convertToSketchSpace(feat15,0,-2.09,0),0.9
feat15.Profiles.AddForSolid
Set CreateSketch2_15=feat15
End Function

Private Function CreateSketch2_17(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_9",sketchNormal
set feat17=createSketch(partCompDef,"Skizze_9",0,2.09,0,1,2.09,0,0,2.09,-1)
feat17.SketchCircles.AddByCenterRadius convertToSketchSpace(feat17,0,2.09,0),0.9
feat17.Profiles.AddForSolid
Set CreateSketch2_17=feat17
End Function

Private Function CreateSketch2_21(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_2",sketchNormal
set feat21=createSketch(partCompDef,"Skizze_2",0,0,0,1,0,0,0,0,-1)
feat21.SketchCircles.AddByCenterRadius convertToSketchSpace(feat21,3.5,0,3.7),1.71
feat21.Profiles.AddForSolid
Set CreateSketch2_21=feat21
End Function

Private Function CreateSketch2_23(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_11",sketchNormal
set feat23=createSketch(partCompDef,"Skizze_11",0,0,0,1,0,0,0,0,-1)
feat23.SketchCircles.AddByCenterRadius convertToSketchSpace(feat23,3.5,0,3.7),1.7
feat23.Profiles.AddForSolid
Set CreateSketch2_23=feat23
End Function

Private Function CreateSketch2_25(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_12",sketchNormal
set feat25=createSketch(partCompDef,"Skizze_12",0,0,0,1,0,0,0,0,-1)
feat25.SketchCircles.AddByCenterRadius convertToSketchSpace(feat25,4.68,0,-2.9),1.71
feat25.Profiles.AddForSolid
Set CreateSketch2_25=feat25
End Function

Private Function CreateSketch2_27(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Skizze_13",sketchNormal
set feat27=createSketch(partCompDef,"Skizze_13",0,0,0,1,0,0,0,0,-1)
feat27.SketchCircles.AddByCenterRadius convertToSketchSpace(feat27,4.68,0,-2.9),1.7
feat27.Profiles.AddForSolid
Set CreateSketch2_27=feat27
End Function

Private Function CreateSketch3_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Skizze_1",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_1",0,0,0,0,0,-1,0,1,0)
set centerStartPk=feat3.SketchPoints.Add(convertToSketchSpace(feat3,0,0,0))
set centerEndPk=feat3.SketchPoints.Add(convertToSketchSpace(feat3,0,0,14.5))
feat3.SketchLines.AddByTwoPoints centerStartPk,centerEndPk
set lastPoint=AddSketchLine(feat3,0,0,14.5,0,2.2,14.5,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,0,2.2,14.5,0,2.25,14.45,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.25,14.45,0,2.25,0.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.25,0.8,0,2.2,0.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.2,0.8,0,2.2,0.5,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.2,0.5,0,2.25,0.5,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.25,0.5,0,2.25,0.05,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.25,0.05,0,2.2,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,2.2,0,0,0,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0,0,0,0,14.5,firstPoint,lastPoint,2)
feat3.Profiles.AddForSolid
Set CreateSketch3_3=feat3
End Function

Private Function CreateSketch3_6(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_4",sketchNormal
set feat6=createSketch(partCompDef,"Skizze_4",0,0,14.5,0,1,14.5,-1,0,14.5)
feat6.SketchCircles.AddByCenterRadius convertToSketchSpace(feat6,-1.5,0,14.5),0.4
feat6.Profiles.AddForSolid
Set CreateSketch3_6=feat6
End Function

Private Function CreateSketch3_8(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_5",sketchNormal
set feat8=createSketch(partCompDef,"Skizze_5",0,0,14.5,0,1,14.5,-1,0,14.5)
feat8.SketchCircles.AddByCenterRadius convertToSketchSpace(feat8,1.5,0,14.5),0.4
feat8.Profiles.AddForSolid
Set CreateSketch3_8=feat8
End Function

Private Function CreateSketch3_10(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_6",sketchNormal
set feat10=createSketch(partCompDef,"Skizze_6",0,0,14.5,0,1,14.5,-1,0,14.5)
feat10.SketchCircles.AddByCenterRadius convertToSketchSpace(feat10,0,1.5,14.5),0.4
feat10.Profiles.AddForSolid
Set CreateSketch3_10=feat10
End Function

Private Function CreateSketch3_12(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_7",sketchNormal
set feat12=createSketch(partCompDef,"Skizze_7",0,0,14.5,0,1,14.5,-1,0,14.5)
feat12.SketchCircles.AddByCenterRadius convertToSketchSpace(feat12,0,-1.5,14.5),0.4
feat12.Profiles.AddForSolid
Set CreateSketch3_12=feat12
End Function

Private Function CreateSketch3_14(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,-1)
sketchDic.add "Skizze_8",sketchNormal
set feat14=createSketch(partCompDef,"Skizze_8",0,0,0,0,1,0,1,0,0)
set lastPoint=AddSketchLine(feat14,1.7,-1.7642278764377,0,1.7,1.7642278764377,0,firstPoint,lastPoint,1)
set lastPoint=AddSketchArc(feat14,1.7,1.7642278764377,0,2.45,1.5001427834324e-016,0,1.7,-1.7642278764377,0,firstPoint,lastPoint,2)
feat14.Profiles.AddForSolid
Set CreateSketch3_14=feat14
End Function

Private Function CreateSketch4_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Skizze_1",sketchNormal
set feat3=createSketch(partCompDef,"Skizze_1",0,0,0,1,0,0,0,1,0)
set lastPoint=AddSketchLine(feat3,-3.5,-3,0,3.5,-3,0,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,3.5,-3,0,3.5,3,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,3.5,3,0,-3.5,3,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,-3.5,3,0,-3.5,-3,0,firstPoint,lastPoint,2)
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,1.5,0,0),0.4
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,0,-1.5,0),0.425
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,0,1.5,0),0.425
feat3.SketchCircles.AddByCenterRadius convertToSketchSpace(feat3,-1.5,0,0),0.4
feat3.Profiles.AddForSolid
Set CreateSketch4_3=feat3
End Function

Private Function CreateSketch4_5(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,-1)
sketchDic.add "Skizze_2",sketchNormal
set feat5=createSketch(partCompDef,"Skizze_2",3.5,-3,-1.5,2.5,-3,-1.5,3.5,-2,-1.5)
feat5.SketchCircles.AddByCenterRadius convertToSketchSpace(feat5,0,1.5,-1.5),0.675
feat5.Profiles.AddForSolid
Set CreateSketch4_5=feat5
End Function

Private Function CreateSketch4_7(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,-1)
sketchDic.add "Skizze_4",sketchNormal
set feat7=createSketch(partCompDef,"Skizze_4",3.5,-3,-1.5,2.5,-3,-1.5,3.5,-2,-1.5)
feat7.SketchCircles.AddByCenterRadius convertToSketchSpace(feat7,0,-1.5,-1.5),0.675
feat7.Profiles.AddForSolid
Set CreateSketch4_7=feat7
End Function

Private Function CreateSketch5_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(1,0,0)
sketchDic.add "Sketch_1",sketchNormal
set feat3=createSketch(partCompDef,"Sketch_1",0,0,0,0,0,-1,0,1,0)
set centerStartPk=feat3.SketchPoints.Add(convertToSketchSpace(feat3,0,0,-3))
set centerEndPk=feat3.SketchPoints.Add(convertToSketchSpace(feat3,0,0,0.8))
feat3.SketchLines.AddByTwoPoints centerStartPk,centerEndPk
set lastPoint=AddSketchLine(feat3,0,0,0.8,0,0.57,0.8,firstPoint,lastPoint,1)
set lastPoint=AddSketchArc(feat3,0,0.57,0.8,0,0.62656854249492,0.77656854249492,0,0.65,0.72,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0.65,0.72,0,0.65,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0.65,0,0,0.4,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0.4,0,0,0.4,-2.94,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0.4,-2.94,0,0.34,-3,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0.34,-3,0,0,-3,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0,-3,0,0,0.8,firstPoint,lastPoint,2)
feat3.Profiles.AddForSolid
Set CreateSketch5_3=feat3
End Function

Private Function CreateSketch5_5(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,0,1)
sketchDic.add "Sketch_2",sketchNormal
set feat5=createSketch(partCompDef,"Sketch_2",0,0,0.8,0,1,0.8,-1,0,0.8)
set lastPoint=AddSketchLine(feat5,-0.17320508075689,-0.3,0.8,0.17320508075689,-0.3,0.8,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat5,0.17320508075689,-0.3,0.8,0.34641016151378,0,0.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat5,0.34641016151378,0,0.8,0.17320508075689,0.3,0.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat5,0.17320508075689,0.3,0.8,-0.17320508075689,0.3,0.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat5,-0.17320508075689,0.3,0.8,-0.34641016151378,0,0.8,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat5,-0.34641016151378,0,0.8,-0.17320508075689,-0.3,0.8,firstPoint,lastPoint,2)
feat5.Profiles.AddForSolid
Set CreateSketch5_5=feat5
End Function

Private Function CreateSketch6_3(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(0,1,0)
sketchDic.add "Sketch_1",sketchNormal
set feat3=createSketch(partCompDef,"Sketch_1",0,0,0,1,0,0,0,0,-1)
set centerStartPk=feat3.SketchPoints.Add(convertToSketchSpace(feat3,4,0,0))
set centerEndPk=feat3.SketchPoints.Add(convertToSketchSpace(feat3,0.99604740410711,0,0))
feat3.SketchLines.AddByTwoPoints centerStartPk,centerEndPk
set lastPoint=AddSketchLine(feat3,0.99604740410711,0,0,0.88,0,-0.201,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat3,0.88,0,-0.201,0.08,0,-0.201,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0.08,0,-0.201,0.08,0,-0.325,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0.08,0,-0.325,0,0,-0.325,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0,-0.325,0,0,-0.36784609690827,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0,0,-0.36784609690827,0.12,0,-0.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,0.12,0,-0.4,3.756,0,-0.4,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,3.756,0,-0.4,3.9360965010976,0,-0.35174328797122,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat3,3.9360965010976,0,-0.35174328797122,3.9838944305914,0,-0.17875052293964,4,0,0,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat3,4,0,0,0.99604740410711,0,0,firstPoint,lastPoint,2)
feat3.Profiles.AddForSolid
Set CreateSketch6_3=feat3
End Function

Private Function CreateSketch6_6(partCompDef As PartComponentDefinition)
	Dim firstPoint as SketchPoint
	Dim lastPoint as SketchPoint
set sketchNormal=irx.CreateUnitVector(-1,0,0)
sketchDic.add "Sketch_3",sketchNormal
set feat6=createSketch(partCompDef,"Sketch_3",0.079999999999999,0,0,0.079999999999999,0,-1,0.079999999999999,-1,0)
set lastPoint=AddSketchLine(feat6,0.079999999999999,-0.05,-0.39686269665969,0.079999999999999,0.05,-0.39686269665969,firstPoint,lastPoint,1)
set lastPoint=AddSketchLine(feat6,0.079999999999999,0.05,-0.39686269665969,0.079999999999999,0.05,-0.49749371855331,firstPoint,lastPoint,0)
set lastPoint=AddSketchArc(feat6,0.079999999999999,0.05,-0.49749371855331,0.079999999999999,1.2246063538224e-016,-0.5,0.079999999999999,-0.05,-0.49749371855331,firstPoint,lastPoint,0)
set lastPoint=AddSketchLine(feat6,0.079999999999999,-0.05,-0.49749371855331,0.079999999999999,-0.05,-0.39686269665969,firstPoint,lastPoint,2)
feat6.Profiles.AddForSolid
Set CreateSketch6_6=feat6
End Function

Private Sub getLocalOptions()
storePath = InputBox("Enter Path (e.g. c:\cadfiles\ )")
l=len(storePath)
if l<>0 then
  lastChar=mid(storePath,l,1)
  if lastChar<>"\" then
    storePath=storePath & "\"
  end if
end if
end sub
Private Function convertToSketchSpace(sketch, pointX, pointY, pointZ)
Dim myPoint As Point
Set myPoint = irx.CreatePoint(pointX, pointY, pointZ)
Set convertToSketchSpace = sketch.ModelToSketchSpace(myPoint)
End Function
Private Function createSketch(partCompDef As PartComponentDefinition, sketchName as String,tx, ty, tz, xx, xy, xz, yx, yy, yz)
Dim pk1, pk2, pk3 As point
Set pk1 = irx.CreatePoint(tx, ty, tz)
Set pk2 = irx.CreatePoint(xx, xy, xz)
Set pk3 = irx.CreatePoint(yx, yy, yz)
Dim wpk1, wpk2, wpk3 As WorkPoint 
Set wpk1 = partCompDef.WorkPoints.AddFixed(pk1)
Set wpk2 = partCompDef.WorkPoints.AddFixed(pk2)
Set wpk3 = partCompDef.WorkPoints.AddFixed(pk3)
wpk1.Visible=false
wpk2.Visible=false
wpk3.Visible=false
Dim createPlane As Workplane
Set createPlane = partCompDef.WorkPlanes.AddByThreePoints(wpk1, wpk2, wpk3, True)
Dim createAxis As WorkAxis
Set AxisVector = irx.CreateUnitVector(xx - tx, xy - ty, xz - tz)
Set createAxis = partCompDef.WorkAxes.AddFixed(pk1, AxisVector)
createAxis.visible=false
Dim sketch As object
Set sketch = partCompDef.Sketches.AddWithOrientation(createPlane, createAxis, False, True, wpk1, False)
sketch.visible=false
sketch.name=sketchName
If (invApp.SoftwareVersion.Major <= 6) Then
  createPlane.visible=false
end if
Set createSketch = sketch
end function
Private Sub ExtrudeSketch(partCompDef,sketch,dist,side As PartFeatureExtentDirectionEnum,op As PartFeatureOperationEnum,draft As String)
Dim planeNormal As UnitVector
Dim sketchNormal As UnitVector
Set planeNormal = sketch.PlanarEntityGeometry.Normal
Set sketchNormal = sketchDic.Item(sketch.name)
If (sketchNormal.IsEqualTo(planeNormal) = False) Then
If (side = kNegativeExtentDirection) Then
side = kPositiveExtentDirection
ElseIf (side = kPositiveExtentDirection) Then
side = kNegativeExtentDirection
End If
End If
Set extrudeFeat = partCompDef.Features.ExtrudeFeatures.AddByDistanceExtent(sketch.Profiles(1), dist, side, op, draft)
end sub
Private Sub RotateSketch(partCompDef,sketch,angle,side As PartFeatureExtentDirectionEnum,op As PartFeatureOperationEnum)
Dim planeNormal As UnitVector
Dim sketchNormal As UnitVector
Set planeNormal = sketch.PlanarEntityGeometry.Normal
Set sketchNormal = sketchDic.Item(sketch.name)
If (sketchNormal.IsEqualTo(planeNormal) = False) Then
If (side = kNegativeExtentDirection) Then
side = kPositiveExtentDirection
ElseIf (side = kPositiveExtentDirection) Then
side = kNegativeExtentDirection
End If
End If
set axis=sketch.SketchLines(1)
Set RotateFeat = partCompDef.Features.RevolveFeatures.AddByAngle(sketch.Profiles(1), axis, angle/180*PI, side, op)
end sub
Private Sub setPartColor(partDocument, red, green, blue, colorName)
Dim style As RenderStyle
Set style = partDocument.RenderStyles.Add(colorName)
style.SetAmbientColor red, green, blue
partDocument.ActiveRenderStyle = style
End Sub
Private Function AddSketchLine(ByVal sketch As PlanarSketch, startx As Double, starty As Double, startz As Double, endx As Double, endy As Double, endz As Double, firstPoint As SketchPoint, lastPoint As SketchPoint, pos As Integer)
Dim startPoint As SketchPoint
Dim endPoint As SketchPoint
If (pos = 1) Then
Set startPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, startx, starty, startz))
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set firstPoint = startPoint
ElseIf (pos = 2) Then
Set startPoint = lastPoint
Set endPoint = firstPoint
Else
Set startPoint = lastPoint
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set lastPoint = endPoint
End If
Set lines = sketch.SketchLines
lines.AddByTwoPoints startPoint, endPoint
Set AddSketchLine = endPoint
End Function
Private Function AddSketchArc(ByVal sketch As PlanarSketch, startx As Double, starty As Double, startz As Double, midx As Double, midy As Double, midz As Double, endx As Double, endy As Double, endz As Double, firstPoint As SketchPoint, lastPoint As SketchPoint, pos As Integer)
Dim startPoint As SketchPoint
Dim midPoint As SketchPoint
Dim endPoint As SketchPoint
Set midPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, midx, midy, midz))
If (pos = 1) Then
Set startPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, startx, starty, startz))
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set firstPoint = startPoint
ElseIf (pos = 2) Then
Set startPoint = lastPoint
Set endPoint = firstPoint
Else
Set startPoint = lastPoint
Set endPoint = sketch.SketchPoints.Add(convertToSketchSpace(sketch, endx, endy, endz))
Set lastPoint = endPoint
End If
Set arcs = sketch.SketchArcs
arcs.AddByThreePoints startPoint,midPoint.Geometry,endPoint
Set AddSketchArc = endPoint
End Function
Private Sub CreatePart0
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5610_Pos3_5000_38_43_1_Pos3.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch1_3(partCompDef)
ExtrudeSketch partCompDef,feat3,8.5,kSymmetricExtentDirection,kJoinOperation,"0"
set feat5=CreateSketch1_5(partCompDef)
ExtrudeSketch partCompDef,feat5,1.2,kNegativeExtentDirection,kCutOperation,"0"
set feat7=CreateSketch1_7(partCompDef)
ExtrudeSketch partCompDef,feat7,1.2,kNegativeExtentDirection,kCutOperation,"0"
set feat9=CreateSketch1_9(partCompDef)
ExtrudeSketch partCompDef,feat9,9.2,kNegativeExtentDirection,kCutOperation,"0"
set feat11=CreateSketch1_11(partCompDef)
ExtrudeSketch partCompDef,feat11,9.2,kNegativeExtentDirection,kCutOperation,"0"
set feat13=CreateSketch1_13(partCompDef)
ExtrudeSketch partCompDef,feat13,9.2,kNegativeExtentDirection,kCutOperation,"0"
set feat15=CreateSketch1_15(partCompDef)
ExtrudeSketch partCompDef,feat15,10.7,kNegativeExtentDirection,kCutOperation,"0"
set feat18=CreateSketch1_18(partCompDef)
ExtrudeSketch partCompDef,feat18,0.01,kNegativeExtentDirection,kCutOperation,"0"
set feat21=CreateSketch1_21(partCompDef)
ExtrudeSketch partCompDef,feat21,3.2,kNegativeExtentDirection,kCutOperation,"0"
set feat23=CreateSketch1_23(partCompDef)
ExtrudeSketch partCompDef,feat23,3.2,kNegativeExtentDirection,kCutOperation,"0"
set feat25=CreateSketch1_25(partCompDef)
ExtrudeSketch partCompDef,feat25,9.2,kNegativeExtentDirection,kCutOperation,"0"
set feat27=CreateSketch1_27(partCompDef)
ExtrudeSketch partCompDef,feat27,9.2,kNegativeExtentDirection,kCutOperation,"0"
set feat29=CreateSketch1_29(partCompDef)
ExtrudeSketch partCompDef,feat29,0.2,kNegativeExtentDirection,kCutOperation,"0"
set feat31=CreateSketch1_31(partCompDef)
ExtrudeSketch partCompDef,feat31,0.2,kNegativeExtentDirection,kCutOperation,"0"
set feat33=CreateSketch1_33(partCompDef)
ExtrudeSketch partCompDef,feat33,0.1,kPositiveExtentDirection,kJoinOperation,"0"
set feat35=CreateSketch1_35(partCompDef)
ExtrudeSketch partCompDef,feat35,0.15,kPositiveExtentDirection,kJoinOperation,"0"
set feat37=CreateSketch1_37(partCompDef)
ExtrudeSketch partCompDef,feat37,0.1,kPositiveExtentDirection,kJoinOperation,"0"
set feat39=CreateSketch1_39(partCompDef)
ExtrudeSketch partCompDef,feat39,0.15,kPositiveExtentDirection,kJoinOperation,"0"
set feat41=CreateSketch1_41(partCompDef)
ExtrudeSketch partCompDef,feat41,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat43=CreateSketch1_43(partCompDef)
ExtrudeSketch partCompDef,feat43,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat45=CreateSketch1_45(partCompDef)
ExtrudeSketch partCompDef,feat45,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat47=CreateSketch1_47(partCompDef)
ExtrudeSketch partCompDef,feat47,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat49=CreateSketch1_49(partCompDef)
ExtrudeSketch partCompDef,feat49,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat51=CreateSketch1_51(partCompDef)
ExtrudeSketch partCompDef,feat51,0.02,kNegativeExtentDirection,kCutOperation,"0"
set feat53=CreateSketch1_53(partCompDef)
ExtrudeSketch partCompDef,feat53,0.15,kNegativeExtentDirection,kCutOperation,"0"
set feat55=CreateSketch1_55(partCompDef)
ExtrudeSketch partCompDef,feat55,0.15,kNegativeExtentDirection,kCutOperation,"0"
set feat57=CreateSketch1_57(partCompDef)
ExtrudeSketch partCompDef,feat57,8.52,kNegativeExtentDirection,kCutOperation,"0"
set feat59=CreateSketch1_59(partCompDef)
ExtrudeSketch partCompDef,feat59,18.4,kSymmetricExtentDirection,kCutOperation,"0"
set feat61=CreateSketch1_61(partCompDef)
ExtrudeSketch partCompDef,feat61,3.8,kNegativeExtentDirection,kCutOperation,"0"
set feat65=CreateSketch1_65(partCompDef)
set feat66=CreateSketch1_66(partCompDef)
ExtrudeSketch partCompDef,feat66,0.01,kNegativeExtentDirection,kCutOperation,"0"
ExtrudeSketch partCompDef,feat65,0.01,kNegativeExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos3-5000-38-43.1 Pos3"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos3-5000-38-43.1 Pos3"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos3-5000-38-43.1 Pos3"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos3-5000-38-43.1 Pos3"
end if
setPartColor partDocument,0,255,255,"RGB(0,255,255)"
partDocument.SaveAs  storePath & "SN5610_Pos3_5000_38_43_1_Pos3.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart1
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5610_Pos4_5000_38_43_1_Pos4_SX_0.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch2_3(partCompDef)
ExtrudeSketch partCompDef,feat3,4.18,kSymmetricExtentDirection,kJoinOperation,"0"
set feat6=CreateSketch2_6(partCompDef)
ExtrudeSketch partCompDef,feat6,0.001,kNegativeExtentDirection,kCutOperation,"0"
set feat8=CreateSketch2_8(partCompDef)
ExtrudeSketch partCompDef,feat8,0.001,kNegativeExtentDirection,kCutOperation,"0"
set feat11=CreateSketch2_11(partCompDef)
ExtrudeSketch partCompDef,feat11,0.001,kPositiveExtentDirection,kCutOperation,"0"
set feat13=CreateSketch2_13(partCompDef)
ExtrudeSketch partCompDef,feat13,0.001,kPositiveExtentDirection,kCutOperation,"0"
set feat15=CreateSketch2_15(partCompDef)
ExtrudeSketch partCompDef,feat15,2.17,kNegativeExtentDirection,kJoinOperation,"0"
set feat17=CreateSketch2_17(partCompDef)
ExtrudeSketch partCompDef,feat17,2.17,kPositiveExtentDirection,kJoinOperation,"0"
set feat21=CreateSketch2_21(partCompDef)
ExtrudeSketch partCompDef,feat21,1.8,kSymmetricExtentDirection,kCutOperation,"0"
set feat23=CreateSketch2_23(partCompDef)
ExtrudeSketch partCompDef,feat23,1.8,kSymmetricExtentDirection,kJoinOperation,"0"
set feat25=CreateSketch2_25(partCompDef)
ExtrudeSketch partCompDef,feat25,1.78,kSymmetricExtentDirection,kCutOperation,"0"
set feat27=CreateSketch2_27(partCompDef)
ExtrudeSketch partCompDef,feat27,1.78,kSymmetricExtentDirection,kJoinOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos4-5000-38-43.1 Pos4 SX=0"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos4-5000-38-43.1 Pos4 SX=0"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos4-5000-38-43.1 Pos4 SX=0"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos4-5000-38-43.1 Pos4 SX=0"
end if
setPartColor partDocument,255,128,64,"RGB(255,128,64)"
partDocument.SaveAs  storePath & "SN5610_Pos4_5000_38_43_1_Pos4_SX_0.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart2
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5610_Pos2_5000_38_43_1_Pos2_SX_0.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch3_3(partCompDef)
RotateSketch partCompDef,feat3,360,kNegativeExtentDirection,kJoinOperation
set feat6=CreateSketch3_6(partCompDef)
ExtrudeSketch partCompDef,feat6,3,kNegativeExtentDirection,kCutOperation,"0"
set feat8=CreateSketch3_8(partCompDef)
ExtrudeSketch partCompDef,feat8,3,kNegativeExtentDirection,kCutOperation,"0"
set feat10=CreateSketch3_10(partCompDef)
ExtrudeSketch partCompDef,feat10,4,kNegativeExtentDirection,kCutOperation,"0"
set feat12=CreateSketch3_12(partCompDef)
ExtrudeSketch partCompDef,feat12,4,kNegativeExtentDirection,kCutOperation,"0"
set feat14=CreateSketch3_14(partCompDef)
ExtrudeSketch partCompDef,feat14,9.1,kNegativeExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos2-5000-38-43.1 Pos2 SX=0"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos2-5000-38-43.1 Pos2 SX=0"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos2-5000-38-43.1 Pos2 SX=0"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos2-5000-38-43.1 Pos2 SX=0"
end if
setPartColor partDocument,255,255,0,"RGB(255,255,0)"
partDocument.SaveAs  storePath & "SN5610_Pos2_5000_38_43_1_Pos2_SX_0.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart3
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN5610_Pos1_5000_38_43_1_Pos1.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch4_3(partCompDef)
ExtrudeSketch partCompDef,feat3,1.5,kNegativeExtentDirection,kJoinOperation,"0"
set feat5=CreateSketch4_5(partCompDef)
ExtrudeSketch partCompDef,feat5,0.8,kNegativeExtentDirection,kCutOperation,"0"
set feat7=CreateSketch4_7(partCompDef)
ExtrudeSketch partCompDef,feat7,0.8,kNegativeExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos1-5000-38-43.1 Pos1"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos1-5000-38-43.1 Pos1"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5610_Pos1-5000-38-43.1 Pos1"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610_Pos1-5000-38-43.1 Pos1"
end if
setPartColor partDocument,59,148,106,"RGB(59,148,106)"
partDocument.SaveAs  storePath & "SN5610_Pos1_5000_38_43_1_Pos1.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart4
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN3450_M8_30_Cylinder_head_cap_screw.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch5_3(partCompDef)
RotateSketch partCompDef,feat3,360,kPositiveExtentDirection,kJoinOperation
set feat5=CreateSketch5_5(partCompDef)
ExtrudeSketch partCompDef,feat5,1,kSymmetricExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN3450-M8-30 Cylinder head cap screw"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "CADENAS GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN3450-M8-30 Cylinder head cap screw"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN3450-M8-30 Cylinder head cap screw"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN3450-M8-30 Cylinder head cap screw"
end if
setPartColor partDocument,255,0,0,"RGB(255,0,0)"
partDocument.SaveAs  storePath & "SN3450_M8_30_Cylinder_head_cap_screw.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart5
sketchDic.RemoveAll
Dim sketchNormal As UnitVector
searchName=Dir(storePath & "SN1975_8_40_Dowel_pin.ipt")
if searchName<>"" then
 exit sub
end if
set partDocument=InvApp.Documents.Add(kPartDocumentObject,"",true)
partDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
partDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim partCompDef as PartComponentDefinition
set partCompDef=partDocument.ComponentDefinition
set feat3=CreateSketch6_3(partCompDef)
RotateSketch partCompDef,feat3,360,kPositiveExtentDirection,kJoinOperation
set feat6=CreateSketch6_6(partCompDef)
ExtrudeSketch partCompDef,feat6,8,kSymmetricExtentDirection,kCutOperation,"0"
If (invApp.SoftwareVersion.Major >= 6) Then
  partDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN1975-8-40 Dowel pin"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "CADENAS GmbH"
  partDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN1975-8-40 Dowel pin"
else
  partDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN1975-8-40 Dowel pin"
  partDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN1975-8-40 Dowel pin"
end if
setPartColor partDocument,255,128,0,"RGB(255,128,0)"
partDocument.SaveAs  storePath & "SN1975_8_40_Dowel_pin.ipt",false
partdocument.Close
End Sub
Private Sub CreatePart6
searchName=Dir(storePath & "SN5610_5000_38_Lateral_slide_unit_with_cam_system_SX_0.iam")
if searchName<>"" then
 exit sub
end if
createPart0
createPart1
createPart2
createPart3
createPart4
createPart4
createPart5
createPart5
set asmDocument=InvApp.Documents.Add(kAssemblyDocumentObject,"",true)
asmDocument.UnitsOfMeasure.LengthUnits = kMillimeterLengthUnits
asmDocument.UnitsOfMeasure.AngleUnits = kDegreeAngleUnits
dim actOcc as ComponentOccurrence
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(0,0,0),irx.CreateVector(1,0,0),irx.CreateVector(0,1,0),irx.CreateVector(0,0,1)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN5610_Pos3_5000_38_43_1_Pos3.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(10.9,0,7.4),irx.CreateVector(1,0,0),irx.CreateVector(0,-1,0),irx.CreateVector(0,0,-1)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN5610_Pos4_5000_38_43_1_Pos4_SX_0.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(12.7,0,3.6),irx.CreateVector(0,0,1),irx.CreateVector(0,1,0),irx.CreateVector(-1,0,0)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN5610_Pos2_5000_38_43_1_Pos2_SX_0.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(-1.8,0,3.6),irx.CreateVector(0,-1,0),irx.CreateVector(0,0,-1),irx.CreateVector(1,0,0)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN5610_Pos1_5000_38_43_1_Pos1.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(-2.5,0,2.1),irx.CreateVector(0,0,1),irx.CreateVector(0,1,0),irx.CreateVector(-1,0,0)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN3450_M8_30_Cylinder_head_cap_screw.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(-2.5,0,5.1),irx.CreateVector(0,0,1),irx.CreateVector(0,1,0),irx.CreateVector(-1,0,0)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN3450_M8_30_Cylinder_head_cap_screw.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(-3.05,1.5,3.6),irx.CreateVector(1,0,0),irx.CreateVector(0,1,0),irx.CreateVector(0,0,1)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN1975_8_40_Dowel_pin.ipt",matrix)
actOcc.Grounded=True
set Matrix = irx.CreateMatrix()
Matrix.SetCoordinateSystem irx.CreatePoint(-3.05,-1.5,3.6),irx.CreateVector(1,0,0),irx.CreateVector(0,1,0),irx.CreateVector(0,0,1)
Set actOcc=asmDocument.ComponentDefinitions(1).Occurrences.Add(storePath &"SN1975_8_40_Dowel_pin.ipt",matrix)
actOcc.Grounded=True
If (invApp.SoftwareVersion.Major >= 6) Then
  asmDocument.PropertySets.Item("{F29F85E0-4FF9-1068-AB91-08002B27B3D9}").ItemByPropId(kTitleSummaryInformation).Value = "SN5610-5000-38 Lateral slide unit with cam system SX=0"
  asmDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kVendorDesignTrackingProperties).Value = "STRACK NORMA GmbH"
  asmDocument.PropertySets.Item("{32853F0F-3444-11D1-9E93-0060B03C1CA6}").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610-5000-38 Lateral slide unit with cam system SX=0"
else
  asmDocument.PropertySets.Item("Summary Information").ItemByPropId(kTitleSummaryInformation).Value = "SN5610-5000-38 Lateral slide unit with cam system SX=0"
  asmDocument.PropertySets.Item("Design Tracking Properties").ItemByPropId(kPartNumberDesignTrackingProperties).Value = "SN5610-5000-38 Lateral slide unit with cam system SX=0"
end if
asmDocument.SaveAs storePath & "SN5610_5000_38_Lateral_slide_unit_with_cam_system_SX_0.iam",false
asmDocument.Close
end sub
sub CreateInventorDocument
set invApp=GetObject(,"Inventor.Application")
set irx = invApp.TransientGeometry
PI=3.141592653589793238462643383279
Set sketchDic = CreateObject("Scripting.Dictionary")
getLocalOptions
createPart6
invApp.Documents.Open storePath & "SN5610_5000_38_Lateral_slide_unit_with_cam_system_SX_0.iam"
end sub
